    001/* ===========================================================
    002 * Orson Charts : a 3D chart library for the Java(tm) platform
    003 * ===========================================================
    004 *
    005 * (C)opyright 2013-2022, by David Gilbert.  All rights reserved.
    006 *
    007 * https://github.com/jfree/orson-charts
    008 *
    009 * This program is free software: you can redistribute it and/or modify
    010 * it under the terms of the GNU General Public License as published by
    011 * the Free Software Foundation, either version 3 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This program is distributed in the hope that it will be useful,
    015 * but WITHOUT ANY WARRANTY; without even the implied warranty of
    016 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    017 * GNU General Public License for more details.
    018 *
    019 * You should have received a copy of the GNU General Public License
    020 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
    021 *
    022 * [Oracle and Java are registered trademarks of Oracle and/or its affiliates.
    023 * Other names may be trademarks of their respective owners.]
    024 *
    025 * If you do not wish to be bound by the terms of the GPL, an alternative
    026 * commercial license can be purchased.  For details, please see visit the
    027 * Orson Charts home page:
    028 *
    029 * http://www.object-refinery.com/orsoncharts/index.html
    030 *
    031 */
    032
    033package org.jfree.chart3d.marker;
    034
    035import java.util.EventObject;
    036
    037import org.jfree.chart3d.internal.Args;
    038
    039/**
    040 * An event associated with a change to a {@link Marker}.  These change
    041 * events will be generated by an marker and broadcast to the axis that owns the
    042 * marker (in the standard setup, the axis will then trigger its own change e
    043 * vent to notify the plot that a subcomponent of the axis has changed).
    044 * <br><br>
    045 * NOTE: This class is serializable, but the serialization format is subject
    046 * to change in future releases and should not be relied upon for persisting
    047 * instances of this class.
    048 *
    049 * @since 1.2
    050 */
    051@SuppressWarnings("serial")
    052public class MarkerChangeEvent extends EventObject {
    053
    054    /** The marker associated with this event. */
    055    private Marker marker;
    056
    057    /**
    058     * Creates a new event.
    059     *
    060     * @param marker  the marker ({@code null} not permitted).
    061     */
    062    public MarkerChangeEvent(Marker marker) {
    063        this(marker, marker);
    064    }
    065
    066    /**
    067     * Creates a new event.
    068     *
    069     * @param source  the event source.
    070     * @param marker  the marker ({@code null} not permitted).
    071     */
    072    public MarkerChangeEvent(Object source, Marker marker) {
    073        super(source);
    074        Args.nullNotPermitted(marker, "marker");
    075        this.marker = marker;
    076    }
    077
    078    /**
    079     * Returns the marker associated with this event.
    080     *
    081     * @return The marker (never {@code null}).
    082     */
    083    public Marker getMarker() {
    084        return this.marker;
    085    }
    086
    087}